-
  util.expected = `
    Diamond
    diamonds
    regions
    industries
    tomatoes
    diamonds
  `;
  
-
  var DIAMOND = {bla: 'bla'};
  setRefNumber(DIAMOND, 'S');

  var DIAMONDS = {bla: 'bla'};
  setRefNumber(DIAMONDS, 'P');

t
  l #[+substantive("diamond", DIAMOND)]
  l #[+substantive("diamond", DIAMONDS)]
  l #[+substantive("region", getAnonymous('M', 'P'))]
  l #[+substantive("industry", getAnonymous('M', valueToSorP(5)))]
  l #[+substantive("tomato", getAnonMP())]

  l
    itemz {}
      item
        | #[+substantive("diamond", DIAMONDS)]
